Помогите с Django

yarik310501

Новичок
Пользователь
Окт 18, 2020
2
0
1
Здравствуйте, помогите пожалуйста решить проблему.

Изучаю фреймворк Django по курсу https://webformyself.com/djang... ign=django, всё шло отлично, пока не дошел до 1 части, 9 урока.

При попытке сохранить записи в базу данных через переменную news1.save() , выходит ошибка:

>>> news1.save()
Traceback (most recent call last):
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\sqlite3\base.py", line 413, in exec
ute
return Database.Cursor.execute(self, query, params)
sqlite3.OperationalError: table news_news has no column named updated_at

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "", line 1, in
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 753, in save
self.save_base(using=using, force_insert=force_insert,
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 790, in save_base
updated = self._save_table(
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 895, in _save_table
results = self._do_insert(cls._base_manager, using, fields, returning_fields, raw)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\base.py", line 933, in _do_insert
return manager._insert(
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\manager.py", line 85, in manager_meth
od
return getattr(self.get_queryset(), name)(*args, **kwargs)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\query.py", line 1254, in _insert
return query.get_compiler(using=using).execute_sql(returning_fields )
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\models\sql\compiler.py", line 1397, in execu
te_sql
cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 98, in execute
return super().execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 66, in execute
return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 75, in _execute_wit
h_wrappers
return executor(sql, params, many, context)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\utils.py", line 90, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\utils.py", line 84, in _execute
return self.cursor.execute(sql, params)
File "D:\django-sites\testsite\venv\lib\site-packages\django\db\backends\sqlite3\base.py", line 413, in exec
ute
return Database.Cursor.execute(self, query, params)
django.db.utils.OperationalError: table news_news has no column named updated_at

Я уже 3 раза начинал весь курс сначала, перерыл весь интернет, но так и не смог найти решение.

Помогите пожалуйста!
 

Вложения

  • 31445521.png
    31445521.png
    567,9 КБ · Просмотры: 3

stud_55

Модератор
Команда форума
Модератор
Апр 3, 2020
1 522
672
113
Возможно вы забыли сделать миграции (чтобы таблица news добавилась в базу данных), попробуйте выполнить команды в консоли:
Python:
manage.py makemigrations
manage.py migrate
 
  • Мне нравится
Реакции: yarik310501

regnor

Модератор
Команда форума
Модератор
Июл 7, 2020
2 618
469
83
в ошибке сказано что в таблице news_news нет столбца с именем updated_at
 
  • Мне нравится
Реакции: yarik310501

yarik310501

Новичок
Пользователь
Окт 18, 2020
2
0
1
Возможно вы забыли сделать миграции (чтобы таблица news добавилась в базу данных), попробуйте выполнить команды в консоли:
Python:
manage.py makemigrations
manage.py migrate
Спасибо большое, вы мне очень помогли❤
 

Форум IT Специалистов